Index: .hgignore
===================================================================
--- .hgignore	(revision 758)
+++ .hgignore	(revision 442)
@@ -9,5 +9,2 @@
 src/mlx/gui/dcdata.py
 xplra.py
-chromedriver.exe
-debug.log
-moodlesetup.txt
Index: .hgtags
===================================================================
--- .hgtags	(revision 776)
+++ .hgtags	(revision 734)
@@ -22,3 +22,2 @@
 ec0a3d264b30138f758cc5d67e4cd44452e6cff9 version_0.36
 e1da02e929ed126dd66ced647bff816a3ba405e5 version_0.37
-60bd73d51935cc89685274f1520a516046d7a5e0 version_0.38
Index: MLXMANIFEST
===================================================================
--- MLXMANIFEST	(revision 775)
+++ MLXMANIFEST	(revision 735)
@@ -4,9 +4,9 @@
 library/xml/dom/xmlbuilder.pyc	15414	42285fdd810a2aa92c06775b5d415c33
 library/fnmatch.pyc	3414	4d50000f78e903598af06ef1c5cfb3ef
-library/gtk/_gtk.pyc	549	856abc7b7c2767552c70b214bce29842
+library/gtk/_gtk.pyc	549	e8970604019edd7560e58d0cc8862bd8
 library/encodings/cp858.pyc	7591	02054a0b8e91b9758826eb70cddf096f
 library/encodings/cp1254.pyc	2678	17ff2ac86f90886d5c73ed789f0499f3
 library/encodings/unicode_internal.pyc	2022	1e902113491e0c334b44deb0c8940e01
-library/lxml/etree.pyc	555	74b6363fd335a7abc4285150ff1e6fc5
+library/lxml/etree.pyc	555	698876f9fdc81ba76c8a6fe486c49dab
 library/encodings/gbk.pyc	1622	71c1e7fe25116114241829a60e57c5f4
 sounds/speed.mp3	26331	3d64da0eea9f48fa73be82d385354bf6
@@ -17,13 +17,12 @@
 doc/manual/hu/pirepViewer.png	26835	267e4325e550ed14ed22f86a2c7e8e9d
 doc/manual/hu/prefsGeneral.png	25601	a33faad4d576b080ae0c040f5a1a5404
-library/mlx/gui/statusbar.pyc	4812	b6448dd0f6077bc70527ee0c39c330e1
-doc/manual/hu/mainWindow.png	29545	489097bf9f0d72ba0cb2661c0dfe881b
+library/mlx/gui/statusbar.pyc	4812	490a882b53429fa18f317e146f0c70c0
+doc/manual/hu/mainWindow.png	29112	ae56b6aa507c98c31e370a37df846362
 library/lxml.etree.pyd	2977792	d9f46391d4eeb719304a07b1ddaa72d9
 library/pdb.pyc	41336	cca4477d622e897335b3f0cecb667ff4
 library/lxml/html/_setmixin.pyc	4312	eac09282d97aceede13bb8efc0da3a5f
-doc/manual/hu/registrationDialog.png	36324	f919784cbdf87044c1b6b4a889574926
 doc/manual/en/fuel.png	29849	13c584d187765e22821abb492ab565d5
 subprocess.exe	267264	00107a8ed63a3e055e5d14f5c4b6cb0d
-doc/manual/en/statusIcon1.png	6472	10a7158dd8655de3f18ba914eb2373a5
+library/selenium/webdriver/android/webdriver.pyc	1348	d8e382aa629964bf424c14159dd4fd2d
 library/xml/sax/xmlreader.pyc	17862	0362ded7016d21cdd85aea1170ebdda1
 doc/manual/hu/fuel.png	32346	01ea98e0302ddaad608e468d2c590d7b
@@ -42,5 +41,5 @@
 library/encodings/big5hkscs.pyc	1670	0ff54e70f21b5e4a359d3779367cba85
 library/encodings/utf_8.pyc	1806	4b8dee0284ea2f55c4142fcde7463524
-locale/hu/LC_MESSAGES/mlx.mo	82073	e57783c0428759da8e7e2ee0fe9b8b16
+locale/hu/LC_MESSAGES/mlx.mo	73229	95361f226162895b4aef044832434cda
 library/encodings/mac_roman.pyc	2716	4b4745eccfcb77860b70b374ac07fbcc
 library/py_compile.pyc	6292	425da7ee065aa158fd274946204a4a77
@@ -54,5 +53,5 @@
 library/selenium/webdriver/safari/__init__.pyc	125	4a6fe7f5be076227125ddd0577386fa7
 locales/fil.pak	7790	38cdea149d120d8e9a8a0b0a90ac5dfd
-library/mlx/gui/dcdata.pyc	19878	bf0aa6b459e52b82ae440608011b1cf7
+library/mlx/gui/dcdata.pyc	19878	128e72fd5c4cf74b988abe22b9e9e641
 library/selenium/webdriver/common/utils.pyc	1718	4f61f38d0107f2694454eacb6d480f45
 library/encodings/iso8859_5.pyc	2679	58a290e94b0266ef8ff4ee52da00e257
@@ -60,5 +59,5 @@
 library/libglib-2.0-0.dll	1242929	18e88b04da123bf05b07ff60a4e96654
 library/base64.pyc	10528	39abec9c60dc011d3c763f443f9b1a11
-library/mlx/gui/bugreport.pyc	4602	99c9fc4da49ca115a5bd140a8405b87d
+library/mlx/gui/bugreport.pyc	4602	a32ca4d644f316b3d120ae3dc2597eba
 doc/manual/en/flightSelection.png	26869	35427845ae09baa263ab757d0e0dfa50
 library/encodings/cp500.pyc	2639	bb122a6e1384530e1b2efb14cf999239
@@ -67,5 +66,5 @@
 library/json/encoder.pyc	12918	d4d1f0b8a67df3e7c2f470ca19d0f964
 library/selenium/webdriver/remote/webdriver.pyc	31960	5ef4044402659e32409fa4570a91f03c
-doc/manual/en/mainWindow.png	27350	09280581a03232a933d2ed2619d6ca12
+doc/manual/en/mainWindow.png	26604	6962cfbd1db32efd06ebbb45a3223109
 library/encodings/iso8859_3.pyc	2685	7b5b2924647578ab7555db2d86cd1b9b
 locales/kn.pak	15411	d24e6fbfcbd4c8e76cc534bf63d75d61
@@ -89,5 +88,4 @@
 doc/manual/hu/takeoff.png	30058	74b1ec31eb1f5e61984a2fc8df2105d1
 library/encodings/rot_13.pyc	3413	04994d9c6c3622213b73a23e86c4cd07
-library/jsonrpclib/__init__.pyc	497	3e3578300fd7291a311b09a38f6ffff2
 library/selenium/webdriver/chrome/service.pyc	3456	213d552983fc36a04948f1c1fb551965
 library/win32file.pyd	111616	25ecaa0a381c6fd9ba4080bea63b952e
@@ -109,7 +107,7 @@
 library/encodings/koi8_r.pyc	2700	fff1b35002b9e938b7ea6fd0fbe824ae
 sounds/737taxi.mp3	157362	846c403e5cb660be53c8b6da16b68234
-library/mlx/const.pyc	6289	6bfbb3f444e4766446e0bd056eda9954
+library/mlx/const.pyc	6289	088e910fb056e2774248970d685a99f8
 locales/th.pak	13637	7262d0f5e1877212a45a1ef1ccc4c777
-library/mlx/gui/cef.pyc	13834	007bb081ceed016489c31f14aaa70a75
+library/mlx/gui/cef.pyc	13834	0c210ce9cb47acd967cc823184dc4209
 library/encodings/punycode.pyc	7570	335ff94e207934ae64e6f5fc07a5cacc
 mlx_cef_caller.bat	142	d1815645d52f5638f27f16903a977d00
@@ -128,5 +126,5 @@
 library/share/locale/hu/LC_MESSAGES/atk10.mo	8465	e3f3466da367215aad971d7b0394229d
 library/selenium/webdriver/android/__init__.pyc	126	2c08539a10f0de9d77dea0fb81f88c93
-library/select.pyc	543	c86d6813d6c7fbcb3c7950f74f084d5d
+library/select.pyc	543	ad592b6be3ddc27064fc34dff8516906
 library/encodings/uu_codec.pyc	4646	5282a5fcb676851224d2924aa3e48a9e
 library/selenium/webdriver/remote/file_detector.pyc	2025	06b01ab65d8732125257374fb263e879
@@ -141,6 +139,6 @@
 icudt.dll	9956864	5434e18b933e03f274d8da59fda4c676
 doc/manual/hu/simbriefSetup.png	32497	b287886107be21b6695897085b218fd4
-library/mlx/soundsched.pyc	9185	5d9c36cbf8971ad0e91adff5f9c4ab54
-library/mlx/logger.pyc	13109	78ca8e8f2b0b51e228a32fcca6f50fb7
+library/mlx/soundsched.pyc	9185	4211730170fddb82b5683ce1849234ee
+library/mlx/logger.pyc	13109	a70c061d36cf6b4e540f5610133466d3
 library/xplra.pyc	32012	50a1d9f19c0cc88783d264909ad1c678
 library/selenium/selenium.pyc	88274	e4b7af1a0fdb5800faba4cdbba1e85b3
@@ -172,13 +170,13 @@
 doc/manual/hu/flightSelection.png	28213	5aaf988630d39ebf7b51ecaeb0c2ca24
 library/win32pipe.pyd	24064	de374eded459293b2a7eb8ed8fb38eaa
-library/win32pipe.pyc	552	a9325defcaf31ec2a265d4ca56a4b838
+library/win32pipe.pyc	552	639fadb461731f169e36c2ae993e2f2e
 doc/manual/hu/cruise.png	27925	f7045d9150a756f487e3ae3d08b4c1a5
 library/encodings/iso2022_jp_2004.pyc	1723	66376e788f3819e781897268c1100986
 library/cefpython3.cefpython_py27.pyd	968192	58161b73feae974f560d2c9f416adf3b
 library/encodings/cp866.pyc	8103	f36418dcf93b17b3ced63bd544f44159
-library/gio/_gio.pyc	549	be7605389e760be914513fb410b05456
+library/gio/_gio.pyc	549	b2ba51e7311cb543818e93939ea8d420
 library/encodings/cp437.pyc	7874	63f1278c0a66129c6fb4f504d6b61b66
 doc/manual/hu/prefsSounds.png	22667	452c396c2bda9684bf052c98fd7870d1
-library/mlx/gates.pyc	7002	5c82c4c4dd0918bf385497549f14767f
+library/mlx/gates.pyc	7002	20aca1eaf3de122eda51883b5b518f6f
 library/mimetools.pyc	7837	c9accd6ef795bf71c90630be0161cadc
 doc/manual/en/pirepLoaded.png	9887	e27a7c87e134944787e29874c455380d
@@ -190,7 +188,7 @@
 doc/manual/hu/acarsTab.png	305091	489953210460410f2ec9d281b7ad6868
 library/encodings/utf_32_be.pyc	1747	3e8c9ef8145de502320202b1688fd2ee
-library/cefpython3/cefpython_py27.pyc	600	250647e0a839fe123bb9e1d79f77f6c5
+library/cefpython3/cefpython_py27.pyc	600	097c550cc7e8274086f98b42644ba588
 library/encodings/mac_romanian.pyc	2756	a3b2a0892236bc80c8efe8940e33339e
-library/_ctypes.pyc	546	57747d6451b9670e1fcaefe830366337
+library/_ctypes.pyc	546	c6f65e92190203fbce71595fe4bd58c2
 mlx_cef_caller_secondary.sh	178	ecb35d3294a5d1e729697f802a75cde4
 library/encodings/iso8859_2.pyc	2678	da65f42e1be5bec97161e8c1cc4f0fb7
@@ -205,8 +203,8 @@
 library/quopri.pyc	6352	87c42d94f753dd4c8a761cfa79453bb8
 library/htmlentitydefs.pyc	6347	814dc784fdb3d998dccee4c3f4c0394f
-library/mlx/gui/monitor.pyc	13015	04f8148cb0d4e007434a1b5534cfc8a2
+library/mlx/gui/monitor.pyc	12980	dc303c215e1380adee44b691870d45e8
 library/selenium/webdriver/common/action_chains.pyc	12050	696113f4eb85587998c08b915d8269a4
 library/encodings/latin_1.pyc	2111	52427573ccbfd06220b67d5a9dd1376e
-library/mlx/update.pyc	16925	6ac5bcefbbb9856f322af2ea9ba81351
+library/mlx/update.pyc	16925	5b250a54fb5430cc1af93b01623fae64
 library/selenium/webdriver/firefox/extension_connection.pyc	3145	5f8929a22a172a0aa71d4d4acb2aaf17
 library/selenium/webdriver/remote/webelement.pyc	17884	6fa60da9a8bc1d2dc6e1286d9bd8f1ab
@@ -215,16 +213,16 @@
 library/unittest/case.pyc	37758	1d2235e74c246b562c5c00ddf73c621a
 library/subprocess.pyc	38648	c9f749db06dfc9fb32079de51d6efd01
-library/mlx/acft.pyc	40830	0b381612a7f05b54d60c28d2e687643c
+library/mlx/acft.pyc	40830	a4b80fe5ea817bada60f2bb58642786b
 library/selenium/webdriver/firefox/firefox_binary.pyc	7758	cee737a6fd574b0f2e6ca28508844a30
 library/gobject._gobject.pyd	113152	3d05dd191361f83aa247b62c700fa04e
 doc/manual/hu/checklistEditor.png	27863	8c750892a52dc10ca654a9d0b2765358
 library/bisect.pyc	2971	ad8ce3e265b404ed3971b842106f8179
-library/mlx/gui/acars.pyc	1054	f1ac7c30434908114c49343eca6dfd32
+library/mlx/gui/acars.pyc	1057	27e9bc0d61654b3ac3b2a12fbda90e89
 library/gtk/_lazyutils.pyc	2772	93f9aa41ad4223106d99340cd539a566
-library/mlx/mlx.pyc	2979	1d725286e2f1d85ff919a7846c63991c
+library/mlx/mlx.pyc	2979	876ff2c4456985567d8a8af6d156b743
 library/selenium/webdriver/remote/utils.pyc	3073	592eeca209cae991779c97ddd322b388
 library/encodings/cp864.pyc	7999	ca90afae086cb6b8f69b8419cc3cd1cb
 library/pyexpat.pyd	152576	5a82e9ec95005aca6130751e5b961cc3
-library/pyexpat.pyc	546	33733afdf3632795e02be094ae83782d
+library/pyexpat.pyc	546	42fbab8dc96e7ac91259a952f1bcbcce
 library/unittest/loader.pyc	10884	591a785be23fba35582ce33bdd3d7acd
 library/ftplib.pyc	32043	5a1925388a0874e459aed6891f4cf0c1
@@ -234,9 +232,7 @@
 library/unittest/suite.pyc	9838	bf2c79bd4a6b6032f1ea53fa4908748f
 library/encodings/mac_arabic.pyc	7824	820deef79b02e1f7e52eb18e9be655bf
-library/mlx/gui/prefs.pyc	28139	1e2b4ccb44bc09700582f3e3cd2e44fa
+library/mlx/gui/prefs.pyc	27921	e2e0ae1a285ce62928539dbe8e61d6ff
 library/encodings/tis_620.pyc	2748	5969b4db4f967b11ae7992cdfbf5890e
 library/encodings/base64_codec.pyc	3568	1d8f13d09024bd124a9ff73a9244c0f1
-library/jsonrpclib/jsonrpc.pyc	19924	ab6cd59da3f76abb7b37ebbe06cb34a5
-doc/manual/en/statusIcon2.png	5875	71fc121823dee0a4c00715fac1b5665c
 Microsoft.VC90.CRT/msvcr90.dll	655872	e7d91d008fe76423962b91c43c88e4eb
 library/selenium/webdriver/phantomjs/__init__.pyc	128	48073c8ec42358f04a36b7f127c3db92
@@ -244,11 +240,11 @@
 sounds/ding.wav	80856	18e639792d3767436ac6955eb60e4f54
 doc/manual/en/simbriefResult.png	32136	c55b3f649ca19cbbef738feaee26d639
-library/mlx/checks.pyc	62721	3abe7381d89e45c4f28a0c79744c676f
-doc/manual/en/student.png	27531	5cc3fbe19909e31ecf82b764d17a6766
+library/mlx/checks.pyc	62721	759425ec78c8430f699691e5abf92c1d
+doc/manual/en/statusIcon2.png	5875	71fc121823dee0a4c00715fac1b5665c
 doc/manual/en/pirepViewer.png	25098	7c545e70b995ac0f9fcae93fe5d0e899
 library/libpangowin32-1.0-0.dll	108945	d07f128828225b7cc38e9e590eb3ba8a
 library/gobject/constants.pyc	1957	2e9cdc605e7c449ef4fc23f56128acec
 doc/manual/hu/calloutsEditor.png	16026	fede870894a85e5d21ca16a026aa6a98
-library/mlx/xplane.pyc	67098	5592e5201555656aee2ce230d023251c
+library/mlx/xplane.pyc	67098	a714130f818d2d0220760c98268a1e66
 library/ssl.pyc	13785	d90c880699ecbedb3182f556b9733868
 library/tempfile.pyc	18526	e2cc2d63c29e15f20ee9325e790643a3
@@ -282,7 +278,7 @@
 library/selenium/webdriver/remote/command.pyc	5463	3e7f6443358e670e58a7fc6c97e4ab16
 library/encodings/iso8859_10.pyc	2693	5e6cc8f721486ddbc1c99da285e13191
-library/mlx/gui/statusicon.pyc	5616	72e7f1f435bced8727eecc708d69de12
-library/mlx/config.pyc	33266	a7d9c1089d89b2eae06344b4eb62b515
-library/atk.pyc	534	8b3468aabe7a96cc116f79a26e710f15
+library/mlx/gui/statusicon.pyc	5616	03e079307c1f83f36284e1b32887b28e
+library/mlx/config.pyc	32739	460aaf61cd13bc34bb91fdc2fd70d710
+library/atk.pyc	534	42a8ab11f346bb57ab20ad063225d6a6
 library/gio._gio.pyd	263168	acb8c95fdc391079bebdf7d8685b0dbc
 library/encodings/cp861.pyc	7868	c97a8970ce4d9f40cbafbea6576fbdca
@@ -297,5 +293,5 @@
 library/zlib1.dll	100352	d90dad5eea33a178bac56fff2847d4c2
 locales/en-GB.pak	6364	2a92f4fc905c2743129ccbcdf80d443a
-library/mlx/gui/delaycodes.pyc	12949	f01c50d351027ab4b3b5322a54f662a0
+library/mlx/gui/delaycodes.pyc	12929	e8c1d6f46ef6e369451be3cbde0a3127
 library/encodings/raw_unicode_escape.pyc	2048	8138045029da04bf45204ab756d1bcd4
 sounds/TOD.mp3	174707	92176d53d948fbfebd08c011b063179a
@@ -304,5 +300,4 @@
 library/gtk/deprecation.pyc	3104	2e6c9eef82dfa8aa3beb05abd3e274a4
 Microsoft.VC90.CRT/msvcm90.dll	224768	4a8bc195abdc93f0db5dab7f5093c52f
-library/jsonrpclib/config.pyc	1454	1d25032504ace513586fa2a9916365b3
 doc/manual/hu/route.png	27514	be2b8fb4dc607e8216029d705007bb56
 chromedriver.exe	5009408	d662fef51894e4e5b6a6f508ed214904
@@ -313,14 +308,13 @@
 locales/pt-BR.pak	7211	d0542b9b325ea58be590d021aeb7333d
 library/libexpat-1.dll	143096	701659d3689bf4a8265b669b7d774255
-library/mlx/gui/info.pyc	6538	205cffc77969aa15ec2ca7c4755c629e
+library/mlx/gui/info.pyc	6538	78c97f25111c13dc94c6226140943916
 library/encodings/iso8859_6.pyc	2723	c8f9aa14a6a2ebf05d977317114bc65d
 library/xml/dom/minidom.pyc	61068	74ffa387e505b9fec2f2ad6a5dcd415d
 library/selenium/webdriver/chrome/__init__.pyc	125	ff98e760d2c777eacfc473761486a702
-library/mlx/gui/gui.pyc	56874	1973b42cfcb522f562ab40110ed8841e
+library/mlx/gui/gui.pyc	54574	875895d2039b15e40d0d5b29ebb8e563
 library/stat.pyc	2503	d3b6dc7a54e705219f04d0be75a212de
 locales/ru.pak	10392	1b66f03dd656a2433ce643d0259fca6f
 doc/manual/hu/landing.png	30425	a6c71e05b39a691729a2396514e7a16f
-doc/manual/hu/registration.png	31260	877f209cc012ce6b3335368276babcc6
-library/gobject/_gobject.pyc	573	1a3801bdc744f1353504103f7bbbf4fa
+library/gobject/_gobject.pyc	573	6d7b571de1872ff1398285072de22348
 libcef.dll	38585344	4dfb8a77f35c41bdbe8469877d4af853
 library/encodings/utf_7.pyc	1747	2beeb059236527197d6c640396476ce8
@@ -330,20 +324,18 @@
 library/libpangocairo-1.0-0.dll	104729	d3ad38599649097a3645777ff95be08e
 doc/manual/en/briefing.png	32215	60c6ca0af346ec1e399801834bb33036
-library/pangocairo.pyd	17920	5fc69a7d29a6d3127710c64de440daa4
 doc/manual/hu/simbriefResult.png	32291	9586bf2955d70cf0a3b7309747d3a535
 library/uu.pyc	4212	0073b65d26a6092e4e177c7763058fa4
 library/encodings/iso8859_1.pyc	2678	f09ec3b7f6a348cbd7f7286b60572bd0
 doc/manual/hu/monitorWindow.png	21499	c8296e51e14588ac5b037b4832161dfc
-library/selenium/webdriver/android/webdriver.pyc	1348	d8e382aa629964bf424c14159dd4fd2d
-library/pangocairo.pyc	555	1ff971a9f3b5c71677320cef48147c81
+library/pangocairo.pyd	17920	5fc69a7d29a6d3127710c64de440daa4
+library/pangocairo.pyc	555	d027670b8f45671d7d39fc258aed018a
 library/zipfile.pyc	37345	568c6ee7e0404625f47248340afb4524
 locales/it.pak	7188	10ae10d8bfcffbfa1160574134e14edb
 doc/manual/en/acarsTab.png	198944	3ec162b7e6b077ab62d673c335929fb3
-library/mlx/rpccommon.pyc	3956	5ff33f58a6bee5a753dde2421cf938b2
 doc/manual/hu/helpTab.png	29126	88f236f84b1b520c60653f4665fd10e2
 library/sre.pyc	499	92bb633daa0bab6550ec0e3677673b5b
 library/tokenize.pyc	13565	354d02cd79df187a28c1851a1e3bad96
 library/win32con.pyc	140797	84d2d064066cfbcc219230f7e9c6e0b0
-library/mlx/gui/flight.pyc	173010	d31df21c0d3bddd7ff01942f0602989e
+library/mlx/gui/flight.pyc	147646	de6b80a55be3e8a2c74b1b85f29f219f
 library/xmlrpclib.pyc	40724	d4f819f9199ea21236a74c967e335c43
 library/lib/gtk-2.0/2.10.0/engines/libwimp.dll	97984	a5bbbe46e1363aba9020a76f2d58e9d6
@@ -357,26 +349,26 @@
 locales/fi.pak	7098	70c7e2fb26c7abf09cb0f9972fb6c93a
 doc/manual/en/monitorWindow.png	20886	42e08d10c758e21209c4c021f391dee7
-library/_hashlib.pyc	549	145dff0b314b982d7709fc7bcb4cb449
+library/_hashlib.pyc	549	a5a3dd83f8fea0ac6182176585fa46fe
 library/copy.pyc	11674	30d1745c5e38ab170f8a0486fbebf305
 locales/et.pak	6856	18a0a857e46c28b7f1cd8ff639a24aec
 library/unittest/result.pyc	7444	aefbb3cc79c0ff17787ce84faed7f5e8
 library/mlx/gui/__init__.pyc	107	3494fc6a671a7b8a9dc72ea93948ae52
-library/mlx/pirep.pyc	7303	0563145fa9ac7fe5febd59e555c7a415
+library/mlx/pirep.pyc	4623	6c485ea65ff6245ab56960a8bbec7051
 library/json/scanner.pyc	2169	e19ee185b7c79ab5cc433b39fcd33faa
 library/traceback.pyc	11223	50ace5c2c6c040a923082442da94cd78
-library/mlx/flight.pyc	21066	bc4f9f08064487830d32767281c25b9f
+library/mlx/flight.pyc	21066	471a24b3678e6d684d6bf5aead1ae544
 library/urllib2.pyc	43566	7eb57ea0dcd1086d1d9073a5cefb0903
 library/encodings/mac_farsi.pyc	2659	df751a61510129a25f7a43ae3aace4f7
 library/encodings/iso2022_jp_3.pyc	1699	ee1c3aa11bbe19eeb4deafa238563133
 library/cefpython3/__init__.pyc	556	38a652a0209e49e323bee4dd54a018af
-library/mlx/common.pyc	1384	00e2e7b35eb747ee9ffc85db098e0f6a
+library/mlx/common.pyc	1300	3967399a64f2ad045d07a87aec5b12a2
 doc/manual/en/simbriefSetup.png	30414	9788762f9a23ffd71a66cbd90a23f13b
 library/ctypes/__init__.pyc	18846	2bd183962453ae93d6887b303d3fd338
-library/mlx/acars.pyc	2352	9396f366c1d2958204ceadf4e5b4eb7a
+library/mlx/acars.pyc	1690	733d057c94683c74079d6e096f601855
 library/encodings/cp865.pyc	7868	7d40a7ba053ac23339218be8799e5397
 locales/bn.pak	14431	f402d363b8a07649b6787b745434daf7
 sounds/taps.mp3	16614	d4a019c7e9342ae329aee6932d6a43c3
 library/markupbase.pyc	9010	b33ff430e9b1adba3d540b5394ff289a
-library/cairo/_cairo.pyc	561	fe3d70324664a2d1188ea15c3882fc0f
+library/cairo/_cairo.pyc	561	d334f604caf04c5f899c0fa41d1f0c43
 locales/te.pak	16110	c3af85e60b78273a93970cf8805ded04
 library/lxml/cssselect.pyc	3861	2e693f0c25ab04b1d130646cddd4e081
@@ -384,10 +376,9 @@
 library/selenium/webdriver/chrome/webdriver.pyc	2758	a7d3d371b22119d0327d9af9f77fd845
 locales/sv.pak	6641	4e11abed42cc59a403ae4767d2acbeff
-doc/manual/en/registrationDialog.png	33337	7ca5c30e97a8656a190873f6d0db3c62
 library/encodings/iso2022_jp_1.pyc	1699	faed9d5747e982cec9fa8b3ad8e1de26
 library/email/mime/__init__.pyc	110	bae57a199e3d0998a1364b9fbae8b3cd
 library/winerror.pyc	112982	4986a8f2df094dddedd12c9fddf4966d
 library/encodings/cp775.pyc	7888	25bf7dd514dff294aa02d5119399b2b7
-library/mlx/fsuipc.pyc	74692	e74e01ff94999375c355acb23e35eefa
+library/mlx/fsuipc.pyc	74670	4da0a45a9a6372a2e463ab21fdc43359
 library/xml/sax/__init__.pyc	3579	c78222ad1fd4f3dbdea06666fe74e84e
 doc/manual/en/connect.png	29728	191520526caf0fa58efcd97d597c9247
@@ -396,7 +387,7 @@
 library/encodings/charmap.pyc	3203	2358b8eb05c66e2a2826b5db6f214547
 library/libgdk-win32-2.0-0.dll	931390	a2b46daac3d4140efdf86429f7aea476
-library/mlx/gui/common.pyc	13634	1305ccfe858ce2ed5df9dc4df165b533
+library/mlx/gui/common.pyc	10433	591658e014f48a4e6592aed9cd30f0bc
 library/dummy_threading.pyc	1265	5ab5c897721aeb346b5bccb84066c5bd
-doc/manual/hu/index.html	61994	e4ee1897fc6e0d5145cb639108fc0e6a
+doc/manual/hu/index.html	57499	d169091b33dc0505b6f123c4c4df854d
 library/encodings/cp1258.pyc	2681	5c09b3b0a82036b0e785422376cb64cc
 sounds/767taxi.mp3	160496	4cb43cda6e1214fbe15328a716827345
@@ -410,18 +401,17 @@
 library/encodings/iso8859_16.pyc	2695	85e819a29dec2b601ce978dcd5a040fc
 sounds/cpt_takeoff.mp3	8255	254edcf79b8b3752d1a7c191c57f615a
-library/bz2.pyc	534	d925da074aaabe9a1fa72c6f7108d3bb
+library/bz2.pyc	534	61154b8608594e87a5d5affd53237fb9
 library/email/utils.pyc	8840	a7be428df6fddee6121cfce55382d1f8
 doc/manual/en/prefsGeneral.png	25633	a5ef76b874f4ad5384b519a11bdf9c47
 library/encodings/iso2022_jp_2.pyc	1699	4b917caa926e5779176612409c66be39
 library/_ssl.pyd	720896	90826a140137efd0d806038828e16f8e
-library/pango.pyc	540	7a61f73cbeb19d7bbb757674bbb9e9c9
+library/pango.pyc	540	83b3f7d1048b264980bb06583565f521
 locales/de.pak	7420	18ba99b07536017ed8b87cb4f77aee1c
 library/glib/__init__.pyc	187	d44c8c2772b263a36726ac0dcfc04b42
 library/pango.pyd	111616	c934763bdf125c3dc92b56db817001d4
 library/libgobject-2.0-0.dll	341594	356d697647a480562c4e2e921b13f8ed
-mlxupdate.exe	19456	a1426f61d7b0415b9f87fe002389422e
+mlxupdate.exe	19456	d7ee6976cf50ad2cee274eb124457588
 library/email/errors.pyc	3229	cdb78ab237e195ad69f059128bc03b1d
 library/linecache.pyc	3091	666e6f81b0ea9a7637f8068493f738d5
-library/jsonrpclib/jsonclass.pyc	3633	aa4dc431d3f7e728bf22525e1716c311
 sounds/malev.mp3	201247	8a00666288f14a1666eb112223c140e0
 library/encodings/mac_iceland.pyc	2738	dfff28ea5edfda00df56b4ab9a35bc59
@@ -431,5 +421,5 @@
 library/getopt.pyc	6454	8f8cd6763f5339988d157d153c910bf5
 library/encodings/cp857.pyc	7611	1b46c8959ac097b73e1c680d464cdc32
-library/_ssl.pyc	537	ded08ae7ccb6ce4c9219571196dbea72
+library/_ssl.pyc	537	474cda3f8885b7c4f1c665c43e7d4f5b
 library/os2emxpath.pyc	4312	0c35794eeb4739ebb4eb28b9a1daf0ca
 library/pprint.pyc	9852	6b4724e14285c257116655b1d4ba6db1
@@ -443,18 +433,17 @@
 library/encodings/cp1252.pyc	2676	b4c43cc72650c911cf3654dbaf565df9
 library/unicodedata.pyd	688128	c856c31a03dc892e4f2aee93d0bfee44
-library/unicodedata.pyc	558	fe7b45d1e6e5ffc6e119a56c942c1f5e
+library/unicodedata.pyc	558	fcc10e2b903b6c28c0c187048a167372
 library/encodings/cp1256.pyc	2675	c1bf26ed9c9b5ee0eec495138993cffb
-doc/manual/en/index.html	55261	56847c130a5f63a23aa5d6bf0e041196
+doc/manual/en/index.html	51535	4318d796e83fdc3187bcd2a2ebb36ec5
 library/email/base64mime.pyc	5221	c536d6f0c03f029bba77f15ef6ba3d99
 logo.png	69816	4a7517b22cfd75cc9c15e3fc1b7ebeec
 library/libpangoft2-1.0-0.dll	815421	1dbfead06e26edb81f0849490210e3ff
-library/mlx/util.pyc	4884	0e1e044381afbed77e8cd996e3df4aa0
-doc/manual/hu/student.png	28297	1e72329a3a463d4c50f1b9d91c3aeacc
+library/mlx/util.pyc	4884	7537803cf47e18210ab5f298ba9eba9e
 library/selenium/webdriver/common/__init__.pyc	125	6c65d6e881b33e7aedb01f167184288c
 library/_LWPCookieJar.pyc	5440	3782ae675165b232a3f78608ac2dbccd
 library/libfontconfig-1.dll	279059	dd583bedc5efe7bbd21a8ef107dec88d
 library/_strptime.pyc	14347	ad17a449b54061177a080e3a21507a39
-library/mlx/singleton.pyc	9184	3b71000d428959ab355db2658cea9557
-library/mlx/airports.pyc	4350	e6852c03d931caa17646118c38e6f8f1
+library/mlx/singleton.pyc	9184	9eec2ed5b230e043afc56592fb13a684
+library/mlx/airports.pyc	4350	e0fee9bae54850629841bbcf68b1b89f
 library/socket.pyc	15488	35f8eb455d6d8df8e19826d1dd7193f2
 sounds/notify.wav	119384	108025b17f67e61946df5d7fbf713cdb
@@ -470,6 +459,6 @@
 doc/manual/hu/connect.png	31517	4cfdc3f3264248ca3cbf9b3dd14d5d7a
 library/encodings/palmos.pyc	2876	9284ad53dcfd82dfae0a79923b1cf91d
-library/mlx/web.pyc	43157	41e4d3c73396a29a97dcbbe59056f0da
-library/mlx/gui/gates.pyc	5635	541e695d5acf90721e523c5513fe7d0d
+library/mlx/web.pyc	36866	96511f975c55c000b0e9c16dff3aa31b
+library/mlx/gui/gates.pyc	5635	ea478376f306ce9d6d0ed2e759407c00
 library/gobject/propertyhelper.pyc	8878	cc3598dab17d31ff46a6dee669ccb5ed
 library/intl.dll	152489	eb2d4c4d4a527bc88a69a16cc99afcf5
@@ -498,22 +487,22 @@
 library/selenium/webdriver/support/expected_conditions.pyc	14298	43b8884d089d85e074d0d9f2fbcd5e28
 doc/manual/hu/logTab.png	28908	25b9aceb760189c177a5562c0cfa2a04
-library/win32event.pyc	555	ac8e9a2c43e3fa9290e1feca913f4b10
-library/win32file.pyc	552	8170fd7ba6908bcf14ae50b33eba11e7
+library/win32event.pyc	555	b5579d79e17fa66f9941be4e5253f42d
+library/win32file.pyc	552	4413a47389ea1f5ddc8b1c13a773a6bd
 library/encodings/shift_jis_2004.pyc	1710	f8bb22a8b02dba2b66b7f77122c98fd6
 library/encodings/cp856.pyc	2701	8b6649490089bedd87e9b8c56985f6b3
 locales/hu.pak	7647	7a37ba9f9113e4f7e9de5b5b9643a48c
-library/mlx/gui/weighthelp.pyc	13179	09924037c8e067c96c1e7acd88671ed1
+library/mlx/gui/weighthelp.pyc	13179	9ebfa07c41e167371380dda80b5bd72b
 library/encodings/cp850.pyc	7621	20d776af743fa7acf090fbd575eea143
 library/gio/__init__.pyc	809	bc9332556e93183a58be5c10cba18557
 doc/manual/hu/debugLogTab.png	32687	9280a72a7c4d4dc5d93a133410505402
 library/weakref.pyc	13028	5d1c14275f47e8cf6d40bc6877fde976
-library/mlx/gui/checklist.pyc	12279	0d648433bc36dd90e70dbd27c094733a
-library/mlx/fs.pyc	11967	80815bbe572fcfb182f1da5ba9a0e111
+library/mlx/gui/checklist.pyc	12279	555775aaed42b3d0687e1b0f501a9f61
+library/mlx/fs.pyc	11863	63fda2c4e0727136be69ed82f9e2bbc8
 locales/he.pak	8198	2486731ee9bedc244d41143a2741775f
-library/nturl2path.pyc	1755	7835082f2dd6806f99cc25bed13ff7dc
+doc/manual/en/statusIcon1.png	6472	10a7158dd8655de3f18ba914eb2373a5
 library/email/message.pyc	27764	493826f529d17f5a21080a4c98b49369
-library/mlx/gui/pirep.pyc	16749	7a295b28dbdad43b33c52d814be60792
+library/mlx/gui/pirep.pyc	16749	2006126d65a19999a20c4a34f1e94342
 library/mimetypes.pyc	17806	927ce6a7079707aaee925e855ed23454
-library/mlx/gui/faultexplain.pyc	9707	3bda0c4c25476cd8c11e4d1c15c682bd
+library/mlx/gui/faultexplain.pyc	9707	938e02beb962d574df694c77536533ca
 sounds/F70taxi.mp3	154854	51332dc691d3519355f61ed06c959d8d
 mlx_cef_caller.sh	148	bd16cf4c784490bcd46d7845f2b6edf9
@@ -532,5 +521,5 @@
 library/libgdk_pixbuf-2.0-0.dll	285194	e4c64b0e7e4c6606f3973a16c0c1ee84
 library/encodings/big5.pyc	1630	a21b45d3e487bf09f40a08448040c97d
-library/mlx/gui/update.pyc	11482	02d959d93aaf0ddaffe186c6f060da25
+library/mlx/gui/update.pyc	11427	5698abbc9b133f18fa2c37d3bfa74bee
 library/encodings/cp1250.pyc	2676	c92e287a2aa6a1c924df287d826aa3b7
 doc/manual/en/gatesTab.png	31516	7078e7c5adff9ee39816d2c3855d8523
@@ -547,7 +536,5 @@
 doc/manual/hu/gateSelection.png	31891	937dc56457188df05056c0f9f3a53975
 library/cmd.pyc	13512	808f813d5e354b7073a1356e44c7b554
-library/mlx/rpc.pyc	12804	4695b27a7e3c0ddf042c795e72da0ae5
 locales/ko.pak	7278	41ecc83d5eef5887c7c288b3b570c7b4
-library/jsonrpclib/history.pyc	1662	2e0e6d5c26e2794085d62feb524e4542
 library/gzip.pyc	14358	2a4a036a0b24586b6bdde419847a18f6
 locales/ja.pak	8340	21ab6501f6d0c8d3e73b4921ce1b0086
@@ -568,12 +555,13 @@
 library/_socket.pyd	38400	5d273be76603399e88cf57f2605004bf
 library/plistlib.pyc	18067	d8d36573e80bfdde7c73e47828f6e710
-library/_socket.pyc	546	c62cc65116c893774f93084e8af2c248
+library/_socket.pyc	546	fa9a6c500373c472545594a194353a64
 library/encodings/hex_codec.pyc	3520	a8b8d5b7c8810379c7007bcbc253951c
-library/mlx/sound.pyc	8226	e8ca9ac1842f9e548b60e0d4f5648fcb
-library/glib/_glib.pyc	555	d9c694c65d7c14d23750a80594131142
-library/win32api.pyc	549	b3f9fb01179341f4dc7f3b6d4d0f5d4b
+library/nturl2path.pyc	1755	7835082f2dd6806f99cc25bed13ff7dc
+library/mlx/sound.pyc	8226	03b098ed1dd965db98ef4f75b07d6cae
+library/glib/_glib.pyc	555	b6480616e76444787a0a2378efc2cc43
+library/win32api.pyc	549	aa6d1f5583a8d058d9f80fff423be8c1
 library/encodings/iso8859_13.pyc	2696	f901ae0bbcfbb78f0c1783e89b2e2dc5
 library/selenium/webdriver/remote/remote_connection.pyc	21225	287db6d396dcce7180eada87e8c6ace0
-library/mlx/gui/callouts.pyc	16060	2e120c6e554d8d68459a52791e374789
+library/mlx/gui/callouts.pyc	16060	7a3055f313e693779e9d2df22bb7568a
 library/selenium/webdriver/opera/options.pyc	3303	243909f5d36e653ad3ad4921c8df4f78
 library/encodings/iso8859_15.pyc	2693	b892f358bbc25ae9d3824be158aabe28
@@ -581,5 +569,5 @@
 doc/manual/hu/prefsMessages.png	22980	6e60ec51305e95e5d057c0dd82b69460
 library/xml/parsers/__init__.pyc	294	83f6a77ed8cd962b3c75c4779dc557ac
-locale/en/LC_MESSAGES/mlx.mo	76347	ddb8d0ba7e855e3097ef90ab0922f689
+locale/en/LC_MESSAGES/mlx.mo	68078	9f93d7a348d26dd14c39706dc364750d
 library/_abcoll.pyc	19891	a5c1881934f1533c22b22b9317ac1d68
 library/encodings/iso8859_11.pyc	2787	a31e6d0d34e35259d7183cc9437eacca
@@ -589,5 +577,5 @@
 library/encodings/mac_latin2.pyc	4717	564dbaf5c296a147203eb821dc2466ba
 library/mlx/__init__.pyc	103	877b8715b7e58440a0e8f212cab6035e
-library/mlx/i18n.pyc	1972	141a57905a2597e5ced25866d032d3a4
+library/mlx/i18n.pyc	1972	fe45816e49cf5e380bc39942a9dfa875
 library/xml/sax/saxutils.pyc	12382	32ed045b3b520234ebea6a508a6569fe
 locales/sw.pak	7078	5406f21a67934bbf0e6c633d2ca573f9
@@ -595,5 +583,5 @@
 doc/manual/hu/gatesTab.png	32840	316fb040e358c79b2a846b1eed4651c6
 library/webbrowser.pyc	18138	c85009edebad6d278fe786fec10ebbbe
-library/mlx/pyuipc_sim.pyc	57203	5d059078e0595be103153c76d55188dc
+library/mlx/pyuipc_sim.pyc	57203	e1828998919f435bae2a5cbd969ff8f3
 library/encodings/cp875.pyc	2636	c72faa5d1cb6105ae81c971448fea479
 library/dis.pyc	6068	3934ab23d64f3da393305b19df0f1fd0
@@ -609,17 +597,16 @@
 locales/sk.pak	7622	dfdff6206e5a79aef8b46d0d9c2a8367
 library/select.pyd	11776	d90bf525f9f6c9c3aa6532fa6e569b4f
-library/pyuipc.pyc	543	2153352e0dd4e169e25e1513c336ac57
+library/pyuipc.pyc	543	73ee245cefd06c6ed52edf422c1bc6b1
 library/selenium/common/exceptions.pyc	9313	2140bc8b29eb7c3f4fc29622d0060152
 doc/manual/en/logTab.png	28120	b92cf63420e59e0c48da4f0b3baae040
 library/pyuipc.pyd	47616	2b4fe2d52575de71dda6f72690cf581e
 library/encodings/johab.pyc	1638	5346c11a863ffbcfb21aba8f1d2236b7
-doc/manual/en/registration.png	29655	ce7a0910be4eac89506cbcb210de224c
 library/shutil.pyc	17657	571e2606b42956f9e233242969ceec0d
 library/encodings/quopri_codec.pyc	3365	01342d4d2735bcbfeb333d784297547a
 library/distutils/errors.pyc	5885	fbeaddf5d59ea781ec63197dd950aa89
-library/mlx/gui/mava_simbrief.pyc	10689	04371192843b397936fa81f021678315
+library/mlx/gui/mava_simbrief.pyc	10689	f072e3f19b33a1aa5200028873c4986c
 library/logging/__init__.pyc	54813	7bcdf2e8da474f5e94d8e499f6fc3ed4
 library/selenium/webdriver/phantomjs/service.pyc	3263	3a56577bb9f058e0d7e5be544a8e850b
-runmlx.exe	64000	f2080595c2c0ad79f50eeeabacc5e310
+runmlx.exe	64000	379d0cb552e1b8fd208b8f6f5da8f4ba
 locales/zh-CN.pak	6386	36e1df83611aef6fbfeeafd067dd4241
 locales/hi.pak	13321	4b6b27ab4421c94685fc09051a2339f8
@@ -640,3 +627,3 @@
 library/unittest/main.pyc	7701	82258a486f5133466c9cf10323814fbf
 library/encodings/iso2022_jp_ext.pyc	1715	97eda1c1468f65445951b0bf23a89570
-library/mlx/watchdog.pyc	3957	8dd7d882e0716f1c6c9054e5009bcc1e
+library/mlx/watchdog.pyc	3957	4b6c34d79e730066e8af7cf71689f9ad
Index: src/mlx/const.py
===================================================================
--- src/mlx/const.py	(revision 782)
+++ src/mlx/const.py	(revision 748)
@@ -11,5 +11,5 @@
 
 ## The version of the program
-VERSION="0.38.1"
+VERSION="0.37.1"
 
 #-------------------------------------------------------------------------------
Index: src/mlx/fs.py
===================================================================
--- src/mlx/fs.py	(revision 765)
+++ src/mlx/fs.py	(revision 666)
@@ -212,6 +212,5 @@
     - n1[]: the N1 values of the turbine engines (array of floats
     of as many items as the number of engines, present only for aircraft with
-    turbines, for other aircraft it is None). If the aircraft has turbines, but
-    the N1 values cannot be read reliably, the array contains Nones.
+    turbines, for other aircraft it is None)
     - rpm[]: the RPM values of the piston engines (array of floats
     of as many items as the number of engines, present only for aircraft with
Index: src/mlx/fsuipc.py
===================================================================
--- src/mlx/fsuipc.py	(revision 780)
+++ src/mlx/fsuipc.py	(revision 749)
@@ -1387,4 +1387,7 @@
         state.gearsDown = data[self._monidx_noseGear]==16383
 
+        if state.gearControlDown!=state.gearsDown:
+            print "gearControl:", data[self._monidx_gearControl], ", noseGear:", data[self._monidx_noseGear]
+
         state.spoilersArmed = data[self._monidx_spoilersArmed]!=0
 
@@ -1846,7 +1849,4 @@
         state.gearsDown = state.gearControlDown
 
-        # Th N1 values cannot be read either
-        state.n1 = [None, None]
-
         return state
 
@@ -1897,6 +1897,5 @@
         return aircraft.type == const.AIRCRAFT_F70 and \
                (airPath.endswith("fokker70_2k4_v4.1.air") or
-                airPath.endswith("fokker70_2k4_v4.3.air") or
-                airPath.lower().endswith("fokker70_fsx_v4.3.air"))
+                airPath.endswith("fokker70_2k4_v4.3.air"))
 
     @property
